# PulpDebClient::DebBasePackageResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**relative_path** | **String** | Path where the artifact is located relative to distributions base_path | [optional] 
**md5** | **String** | The MD5 checksum if available. | [optional] [readonly] 
**sha1** | **String** | The SHA-1 checksum if available. | [optional] [readonly] 
**sha224** | **String** | The SHA-224 checksum if available. | [optional] [readonly] 
**sha256** | **String** | The SHA-256 checksum if available. | [optional] [readonly] 
**sha384** | **String** | The SHA-384 checksum if available. | [optional] [readonly] 
**sha512** | **String** | The SHA-512 checksum if available. | [optional] [readonly] 
**package** | **String** |  | [optional] [readonly] 
**source** | **String** |  | [optional] [readonly] 
**version** | **String** |  | [optional] [readonly] 
**architecture** | **String** |  | [optional] [readonly] 
**section** | **String** |  | [optional] [readonly] 
**priority** | **String** |  | [optional] [readonly] 
**origin** | **String** |  | [optional] [readonly] 
**tag** | **String** |  | [optional] [readonly] 
**bugs** | **String** |  | [optional] [readonly] 
**essential** | **String** |  | [optional] [readonly] 
**build_essential** | **String** |  | [optional] [readonly] 
**installed_size** | **String** |  | [optional] [readonly] 
**maintainer** | **String** |  | [optional] [readonly] 
**original_maintainer** | **String** |  | [optional] [readonly] 
**description** | **String** |  | [optional] [readonly] 
**description_md5** | **String** |  | [optional] [readonly] 
**homepage** | **String** |  | [optional] [readonly] 
**built_using** | **String** |  | [optional] [readonly] 
**auto_built_package** | **String** |  | [optional] [readonly] 
**multi_arch** | **String** |  | [optional] [readonly] 
**breaks** | **String** |  | [optional] [readonly] 
**conflicts** | **String** |  | [optional] [readonly] 
**depends** | **String** |  | [optional] [readonly] 
**recommends** | **String** |  | [optional] [readonly] 
**suggests** | **String** |  | [optional] [readonly] 
**enhances** | **String** |  | [optional] [readonly] 
**pre_depends** | **String** |  | [optional] [readonly] 
**provides** | **String** |  | [optional] [readonly] 
**replaces** | **String** |  | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebBasePackageResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 artifact: null,
                                 relative_path: null,
                                 md5: null,
                                 sha1: null,
                                 sha224: null,
                                 sha256: null,
                                 sha384: null,
                                 sha512: null,
                                 package: null,
                                 source: null,
                                 version: null,
                                 architecture: null,
                                 section: null,
                                 priority: null,
                                 origin: null,
                                 tag: null,
                                 bugs: null,
                                 essential: null,
                                 build_essential: null,
                                 installed_size: null,
                                 maintainer: null,
                                 original_maintainer: null,
                                 description: null,
                                 description_md5: null,
                                 homepage: null,
                                 built_using: null,
                                 auto_built_package: null,
                                 multi_arch: null,
                                 breaks: null,
                                 conflicts: null,
                                 depends: null,
                                 recommends: null,
                                 suggests: null,
                                 enhances: null,
                                 pre_depends: null,
                                 provides: null,
                                 replaces: null)
```


