# PulpDebClient::DebPackageIndexResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**artifacts** | [**Object**](.md) | A dict mapping relative paths inside the Content to the correspondingArtifact URLs. E.g.: {&#39;relative/path&#39;: &#39;/artifacts/1/&#39; | 
**release** | **String** | Release this index file belongs to. | 
**component** | **String** | Component of the component - architecture combination. | 
**architecture** | **String** | Architecture of the component - architecture combination. | 
**relative_path** | **String** | Path of file relative to url. | [optional] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebPackageIndexResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 artifacts: null,
                                 release: null,
                                 component: null,
                                 architecture: null,
                                 relative_path: null)
```


