# PulpDebClient::DebReleaseFileResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**artifacts** | [**Object**](.md) | A dict mapping relative paths inside the Content to the correspondingArtifact URLs. E.g.: {&#39;relative/path&#39;: &#39;/artifacts/1/&#39; | 
**codename** | **String** | Codename of the release, i.e. \&quot;buster\&quot;. | [optional] 
**suite** | **String** | Suite of the release, i.e. \&quot;stable\&quot;. | [optional] 
**distribution** | **String** | Distribution of the release, i.e. \&quot;stable/updates\&quot;. | 
**relative_path** | **String** | Path of file relative to url. | [optional] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebReleaseFileResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 artifacts: null,
                                 codename: null,
                                 suite: null,
                                 distribution: null,
                                 relative_path: null)
```


